@charset "utf-8";
/* CSS Document */
@import url(https://fonts.googleapis.com/css?family=Khmer|Hanuman|Battambang|Content);
#voicein_container {
  display: none !important;
}
body {
  font-family: Battambang, Tahoma, Khmer, Hanuman !important;
  margin: 0;
}
@page {
  size: auto;
}
/*Report table*/
#btReport {
  text-align: right;
}
header #logo {
  text-align: right;
}
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #f32121;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.loader {
	border: 16px solid #f3f3f3;
	border-radius: 50%;
	border-top: 16px solid #3498db;
	width: 120px;
	height: 120px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
}
.center-div{  
  position: absolute;
  top: 45vh;
  left: 45%;
  z-index: 9999;
}
#toTop {
	display: none;
	text-decoration: none;
	position: fixed;
	bottom: 55px;
	right: 2%;
	overflow: hidden;
	z-index: 999; 
	width: 32px;
	height: 32px;
	border: none;
	text-indent: 100%;
	background: url(/dist/img/up_arrow.png) no-repeat 0px 0px;
}
#toTopHover {
	width: 32px;
	height: 32px;
	display: block;
	overflow: hidden;
	float: right;
	opacity: 0;
	-moz-opacity: 0;
	filter: alpha(opacity=0);
}
.dropdown-item-action {
  display: block;
  width: 100%;
  padding: 0.25rem 1rem;
  clear: both;
  font-weight: 400;
  color: #212529;
  text-align: inherit;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
}

.dropdown-item-action:hover,
.dropdown-item-action:focus {
  color: #16181b;
  text-decoration: none;
  background-color: #f8f9fa;
}

.dropdown-item-action.active,
.dropdown-item-action:active {
  color: #ffffff;
  text-decoration: none;
  background-color: transparent;
}

.dropdown-item-action.disabled,
.dropdown-item-action:disabled {
  color: #6c757d;
  pointer-events: none;
  background-color: transparent;
}
/*-- //to-top --*/
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
#opacity {
  background-color: #000;
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 0.2;
}
.no-table table,
.no-table thead,
.no-table tbody,
.no-table th,
.no-table td,
.no-table tr {
  display: block;
}

/* Hide table headers (but not display: none;, for accessibility) */
.no-table thead tr:first-child {
  position: absolute;
  top: -9999px;
  left: -9999px;
}

.no-table tr {
  border: 1px solid #ccc;
}

.no-table td {
  /* Behave  like a "row" */
  border: none;
  border-bottom: 1px solid #eee;
  position: relative;
  padding-left: 50%;
  white-space: normal;
  text-align: left;
}

.no-table td:before {
  /* Now like a table header */
  position: absolute;
  /* Top/left values mimic padding */
  top: 6px;
  left: 6px;
  width: 45%;
  padding-right: 10px;
  white-space: nowrap;
  text-align: left;
  font-weight: bold;
}

/*
Label the data
*/
.no-table td:before {
  content: attr(data-title);
}

label.error {
  color:#FB3A3A;	
  text-align: center;
  display: inline-block;
  width: 385px;	
  margin-bottom:15px;
}
.progress { 
  position:relative; 
  width: 100%; 
  border: 1px solid #ddd; 
  padding: 1px; 
  border-radius: 3px; 
  margin: auto; 
  display: none;
  height: auto !important;
}
.bar { 
  background-color: #28A745; 
  width:0%; 
  height:8px; 
  border-radius: 3px; 
}
.percent { 
  position:absolute; 
  display:inline-block; 
  top:3px; 
  left:50%; 
}
@media only screen and (max-width: 800px) {
  header #logo {
    display: none;
  }
  #btReport {
    padding-left: 15px;
  }
  /* Force table to not be like tables anymore */
  #no-more-tables table,
  #no-more-tables thead,
  #no-more-tables tbody,
  #no-more-tables th,
  #no-more-tables td,
  #no-more-tables tr {
    display: block;
  }

  /* Hide table headers (but not display: none;, for accessibility) */
  #no-more-tables thead tr:first-child {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  #no-more-tables tr {
    border: 1px solid #ccc;
  }

  #no-more-tables td {
    /* Behave  like a "row" */
    border: none;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 50%;
    white-space: normal;
    text-align: left;
  }

  #no-more-tables td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 6px;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
    text-align: left;
    font-weight: bold;
  }

  /*
	Label the data
	*/
  #no-more-tables td:before {
    content: attr(data-title);
  }
}
/*Report table*/
@media screen {
  .hideScreen {
    display: none;
  }
}
@media print {
  #p_date,
  #toptool,
  .hidePrint {
    display: none !important;
  }
}
